import { html } from '//resources/polymer/v3_0/polymer/polymer_bundled.min.js';
export function getTemplate() {
    return html `<!--_html_template_start_--><style include="settings-shared">
  site-favicon,
  #downloadedIcon {
    display: block;
    --site-favicon-height: 16px;
    --site-favicon-width: 16px;
    height: 16px;
    width: 16px;
  }
</style>

<img id="downloadedIcon" is="cr-auto-img"
    auto-src="[[getIconUrl_(engine.iconURL)]]" clear-src
    on-load="onDownloadedIconLoadSuccess_"
    on-error="onDownloadedIconLoadError_" alt=""
    hidden="[[!shouldShowDownloadedIcon_(showDownloadedIcon_, engine)]]">
<site-favicon favicon-url="[[engine.iconURL]]" url="[[engine.url]]"
    icon-path="[[engine.iconPath]]" aria-hidden="true"
    hidden="[[shouldShowDownloadedIcon_(showDownloadedIcon_, engine)]]">
</site-favicon>
<!--_html_template_end_-->`;
}
